Index: src/includes/classes/Smarty/sysplugins/smarty_internal_method_assignbyref.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/sysplugins/smarty_internal_method_assignbyref.php	(revision )
+++ src/includes/classes/Smarty/sysplugins/smarty_internal_method_assignbyref.php	(revision )
@@ -0,0 +1,36 @@
+<?php
+
+/**
+ * Smarty Method AssignByRef
+ *
+ * Smarty::assignByRef() method
+ *
+ * @package    Smarty
+ * @subpackage PluginsInternal
+ * @author     Uwe Tews
+ */
+class Smarty_Internal_Method_AssignByRef
+{
+
+    /**
+     * assigns values to template variables by reference
+     *
+     * @param \Smarty_Internal_Data|\Smarty_Internal_Template|\Smarty $data
+     * @param string                                                  $tpl_var the template variable name
+     * @param                                                         $value
+     * @param  boolean                                                $nocache if true any output of this variable will be not cached
+     *
+     * @return \Smarty_Internal_Data|\Smarty_Internal_Template|\Smarty
+     */
+    public function assignByRef(Smarty_Internal_Data $data, $tpl_var, &$value, $nocache)
+    {
+        if ($tpl_var != '') {
+            $data->tpl_vars[$tpl_var] = new Smarty_Variable(null, $nocache);
+            $data->tpl_vars[$tpl_var]->value = &$value;
+            if ($data->_objType == 2 && $data->scope) {
+                $data->ext->_updateScope->updateScope($data, $tpl_var);
+            }
+        }
+        return $data;
+    }
+}
\ No newline at end of file
Index: src/includes/classes/Smarty/plugins/shared.make_timestamp.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/plugins/shared.make_timestamp.php	(revision 54b5657ad2e80eb6f9bf910415d8a992a8b6d777)
+++ src/includes/classes/Smarty/plugins/shared.make_timestamp.php	(revision )
@@ -21,8 +21,8 @@
     if (empty($string)) {
         // use "now":
         return time();
-    } elseif ($string instanceof DateTime) {
-        return $string->getTimestamp();
+    } elseif ($string instanceof DateTime || (interface_exists('DateTimeInterface', false) && $string instanceof DateTimeInterface)) {
+        return (int) $string->format('U'); // PHP 5.2 BC
     } elseif (strlen($string) == 14 && ctype_digit($string)) {
         // it is mysql timestamp format of YYYYMMDDHHMMSS?
         return mktime(substr($string, 8, 2), substr($string, 10, 2), substr($string, 12, 2),
Index: src/includes/classes/Smarty/sysplugins/smarty_internal_method_unregistercacheresource.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/sysplugins/smarty_internal_method_unregistercacheresource.php	(revision )
+++ src/includes/classes/Smarty/sysplugins/smarty_internal_method_unregistercacheresource.php	(revision )
@@ -0,0 +1,40 @@
+<?php
+
+/**
+ * Smarty Method UnregisterCacheResource
+ *
+ * Smarty::unregisterCacheResource() method
+ *
+ * @package    Smarty
+ * @subpackage PluginsInternal
+ * @author     Uwe Tews
+ */
+class Smarty_Internal_Method_UnregisterCacheResource
+{
+    /**
+     * Valid for Smarty and template object
+     *
+     * @var int
+     */
+    public $objMap = 3;
+
+    /**
+     * Registers a resource to fetch a template
+     *
+     * @api  Smarty::unregisterCacheResource()
+     * @link http://www.smarty.net/docs/en/api.unregister.cacheresource.tpl
+     *
+     * @param \Smarty_Internal_TemplateBase|\Smarty_Internal_Template|\Smarty $obj
+     * @param  string                                                         $type     name of cache resource type
+      *
+     * @return \Smarty|\Smarty_Internal_Template
+     */
+    public function unregisterCacheResource(Smarty_Internal_TemplateBase $obj, $name)
+    {
+        $smarty = isset($obj->smarty) ? $obj->smarty : $obj;
+        if (isset($smarty->registered_cache_resources[$name])) {
+            unset($smarty->registered_cache_resources[$name]);
+        }
+        return $obj;
+    }
+}
\ No newline at end of file
Index: src/includes/classes/Smarty/sysplugins/smarty_internal_method_unregisterfilter.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/Smarty/sysplugins/smarty_internal_method_unregisterfilter.php	(revision )
+++ src/includes/classes/Smarty/sysplugins/smarty_internal_method_unregisterfilter.php	(revision )
@@ -0,0 +1,42 @@
+<?php
+
+/**
+ * Smarty Method UnregisterFilter
+ *
+ * Smarty::unregisterFilter() method
+ *
+ * @package    Smarty
+ * @subpackage PluginsInternal
+ * @author     Uwe Tews
+ */
+class Smarty_Internal_Method_UnregisterFilter extends Smarty_Internal_Method_RegisterFilter
+{
+    /**
+     * Unregisters a filter function
+     *
+     * @api  Smarty::unregisterFilter()
+     *
+     * @link http://www.smarty.net/docs/en/api.unregister.filter.tpl
+     *
+     * @param \Smarty_Internal_TemplateBase|\Smarty_Internal_Template|\Smarty $obj
+     * @param  string                                                         $type filter type
+     * @param  callback|string                                                $callback
+     *
+     * @return \Smarty|\Smarty_Internal_Template
+     */
+    public function unregisterFilter(Smarty_Internal_TemplateBase $obj, $type, $callback)
+    {
+        $smarty = isset($obj->smarty) ? $obj->smarty : $obj;
+        $this->_checkFilterType($type);
+        if (isset($smarty->registered_filters[$type])) {
+            $name = is_string($callback) ? $callback : $this->_getFilterName($callback);
+            if (isset($smarty->registered_filters[$type][$name])) {
+                unset($smarty->registered_filters[$type][$name]);
+                if (empty($smarty->registered_filters[$type])) {
+                    unset($smarty->registered_filters[$type]);
+                }
+            }
+        }
+        return $obj;
+    }
+}
\ No newline at end of file
